/* ========= STANDARD ========== */

* { font-family: "Bitstream Vera Sans", "Liberation Sans", sans-serif; }

body {  text-align: center; font-size: 14pt; color: #222; background-color: #fff; margin: 0pt; }

a { color: #0066dd; background-color: inherit; }
a:visited { color: #0066dd; }
a:hover { color: #0066dd; }

label { display: block; font-size: small; color: #333; }
span.created_on_full { color: #888; font-size: small; }

#content { margin: 2em;  margin-left: auto; margin-right: auto; text-align: left; width: 50em; }
#header { border-bottom: 2px solid #003f87; margin-bottom: 1em; }
#footer { border-top: 1px dotted #001833; margin-top: 1em; text-align: center; font-size: small; padding: 1em; }

/* ========= FLASH ========== */
div.flash { text-align: center; }
span.flash { padding: 0.2em 2em; -moz-border-radius: 0.2em; font-size: 11pt; font-weight: bold; color: #000; }
span.flash a { color: #fff; }
#notice { background-color: #084fa1;; color: #fff; } /* friendly, you've logged in! */
#warning { background-color: #cc0000; color: #fff; } /* error, your login failed! */
#message { background-color: #fce94f; }  /* normal, updates were saved */

/* ========= TOP BAR ========== */

#top_bar { width: 100%; height: 1.5em; margin: 0pt; text-align: left; font-size: 10pt; background-color: #fffccc; color: #333; border-bottom: 1px solid #999; padding: 0pt; }
#top_bar .logged_in_message { padding: 0.2em; float: left; padding-left: 0.5em }
#top_bar .account_message { padding: 0.2em; float: right; padding-right: 0.5em }
#top_bar .login { font-weight: bold; }

/* ========= TOOLBAR ========== */
#toolbar a { text-decoration: none; padding: 0.2em 0.5em 0em 0.5em; border: 1px solid #003f87; border-bottom: none; -moz-border-radius: 0.2em 0.2em 0em 0em; font-weight: bold; color: #fff; background-color: #003f87; }
#toolbar a:hover { background-color: #224da9; }

/* ========= ACCOUNT ========== */

div.account { width: 20em; }
div.account div.login, div.account div.signup { margin: 1em 0pt; }

/* ========= INPUTS ========== */

input[type="text"], input[type="password"], textarea {
	padding: 0.1em;
	border: 1px solid #001833;
	background-color: #fafafa;
	color: #222;
  width: 100%;
}

textarea { padding: 0px }

input[type="text"], input[type="password"] {
  font-size: 18pt;
  font-family: sans-serif;
	padding: 0.2em;
  font-weight: bold;
}

textarea { height: 10em; }

input[type="submit"] {
	font-size: 12pt;
	font-weight: bold;
	padding: 0 1em 0.1em 1em;
	background-color:#003f87;
	color: #fff;
	border: 2px outset #04244a;
  margin: 0.5em 0em;
}

input[type="submit"]:hover {
	background-color: #084fa1;
}

input.blue-button {
	background-color: #0066dd;
	border: 2px outset #0033aa;
	color: #fff;
}

input.green-button {
	background-color: #5cc400;
	border: 2px outset #57e925;
	color: #fff;
}

input.blue-button:hover {
	background-color: #0099ff;
}

input.green-button:hover {
	background-color: #7ee600;
}

/* ========= ISSUES ========== */

ul.issues { list-style: none; }
li.issue { }

div.issue-comments { width: 30em; }

div.issue div.entry-title { font-size: x-large; font-weight: bold; margin: 1em 0pt; }
div.issue div.entry-title a { font-size: x-small; }
div.issue div.issue-meta { font-size: small; }
div.issue div.entry-content { margin: 1em 0pt; white-space: pre; }
div.issue .created_by {  }
div.issue .created_at { float: right; }
div.issue .updated_at { float: right; }

div.issue-comments .issue_attachments { border-top: 1px dashed #cfcfcf; padding-top: 1em; }
div.issue-comments span.issue_attachment { font-size: xx-small; }
div.issue-comments a.issue_attachment { }
div.issue-comments img.issue_attachment { border: 2px solid #0066dd; padding: 0.5em; background-color: #fafafa; -moz-border-radius: 2px; }

/* ========= COMMENTS ========== */

.comment { border: 1px dotted #333; margin: 1em 0pt;  padding: 0.5em; }
.comment .title { font-size: large; }
.comment .permalink { float: right; }
.comment .description { margin-bottom: 0.5em; }
.comment .comment_attachments { border-top: 1px dashed #cfcfcf; padding-top: 1em; }
.comment span.comment_attachment { font-size: xx-small; }
.comment a.comment_attachment { }
.comment img.comment_attachment { border: 2px solid #0066dd; padding: 0.5em; background-color: #fafafa; -moz-border-radius: 2px; }
.comment .comment_meta { font-size: small; margin-top: 0.5em; }
.comment .comment_meta .created_by {  }
.comment .comment_meta .created_at { float: right; }
.comment .comment_meta .updated_at { float: right; }

/* ======= SCAFFOLD DEFAULT ======= */


pre {
  background-color: #eee;
  padding: 10px;
  font-size: 11px;
}

.fieldWithErrors {
  border: 2px solid red;
}

#errorExplanation {
  border: 1px solid #c00;;
  padding-bottom: 1.5em;
  margin-bottom: 2em;
  background-color: #f0f0f0;
}

#errorExplanation h2 {
  text-align: left;
  font-weight: bold;
  padding: 0.5em;
  font-size: small;
  background-color: #c00;
  color: #fff;
}

#errorExplanation p {
  color: #333;
  margin: 1em;
}

#errorExplanation ul li {
  font-size: small;
  list-style: square;
}

div.uploadStatus {
  margin: 5px;
}

div.progressBar {
  margin: 5px;
}

div.progressBar div.border {
  background-color: #fff;
  border: 1px solid grey;
  width: 100%;
}

div.progressBar div.background {
  background-color: #333;
  height: 18px;
  width: 0%;
}




